summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-08-18 02:39:27 +0000
committerMike Frysinger <vapier@gentoo.org>2004-08-18 02:39:27 +0000
commit2662dc17bb6a4e3f5d11023ab731338c8e590829 (patch)
tree108a41276d48820eb483d2fa0ad524b2f19879af /scripts/bootstrap.sh
parentstable on ppc64, bug #58311 (Manifest recommit) (diff)
downloadgentoo-2-2662dc17bb6a4e3f5d11023ab731338c8e590829.tar.gz
gentoo-2-2662dc17bb6a4e3f5d11023ab731338c8e590829.tar.bz2
gentoo-2-2662dc17bb6a4e3f5d11023ab731338c8e590829.zip
dont let users shoot themselves
Diffstat (limited to 'scripts/bootstrap.sh')
-rwxr-xr-xscripts/bootstrap.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index 25444bac1309..9d5d2758dd36 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap.sh,v 1.57 2004/08/13 13:44:28 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap.sh,v 1.58 2004/08/18 02:39:27 vapier Exp $
# IMPORTANT NOTE:
# This script no longer accepts an optional argument.
@@ -29,12 +29,18 @@ then
fi
MYPROFILEDIR="`readlink -f /etc/make.profile`"
-if [ ! -d ${MYPROFILEDIR} ]
+if [ ! -d "${MYPROFILEDIR}" ]
then
- echo "!!! Error: ${MYPROFILEDIR} does not exist. Exiting."
+ echo "!!! Error: '${MYPROFILEDIR}' does not exist. Exiting."
exit 1
fi
-
+
+if [ -f "${MYPROFILEDIR}/parent" ]
+then
+ echo "!!! Error: You must use 'bootstrap-cascade.sh' with cascading profiles. Exiting."
+ exit 1
+fi
+
if [ -e /usr/bin/spython ]
then
# 1.0_rc6 and earlier